Public Class ParametresAPI

    Private serveur As New APILib.Api
    Private lReply As Long
    Private oGrandissement As Object

    'Fonction lance lors de l'ouverture de l'application
    Public Shared Sub main()

        Dim frm As New SetForm

        frm.Show()
        System.Windows.Forms.Application.Run()

    End Sub

    'Proprit d'initialisation du dialogue API
    Public Property InitialiseDialogue() As String

        Get
            Return lReply.ToString
        End Get

        Set(ByVal sValue As String)
            lReply = serveur.Initialise(sValue)
            If lReply <> 0 Then
                Throw New Exception("Problme d'initialisation")
            End If
        End Set

    End Property

    'Proprit Set paramtre API
    Public WriteOnly Property SetParametreAPI(ByVal sValue As String) As Object

        Set(ByVal oValue As Object)

            oValue = New System.Runtime.InteropServices.VariantWrapper(oValue)
            lReply = serveur.Set(sValue, oValue)
            If lReply <> 0 Then
                Me.Erreur(lReply)
            End If

        End Set

    End Property

    'Fonction qui classe les erreurs
    Public Sub Erreur(ByVal lReply As Long)

        Select Case lReply
            Case 1000
                Throw New Exception("Impossible de transcrire un paramtre en identificateur")
            Case 1001
                Throw New Exception("Impossible de rcuprer le paramtre analogique")
            Case 1002
                Throw New Exception("Impossible de rcuprer le paramtre numrique")
            Case 1003
                Throw New Exception("Le paramtre spcifi n'est ni analogique, ni numrique")
            Case 1004
                Throw New Exception("Impossible de transcrire un paramtre en identificateur")
            Case 1005
                Throw New Exception("Impossible d'accder au paramtre numrique")
            Case 1006
                Throw New Exception("Impossible d'accder au paramtre analogique")
            Case 1009
                Throw New Exception("La valeur transmise n'est pas au bon format")
            Case 1019
                Throw New Exception("API non initialis")
            Case 1022
                Throw New Exception("Impossible de rcuprer les limites")
            Case Else
                Throw New Exception("Problme API")
        End Select

    End Sub

End Class
